Bug 283131 - Kontact crash after clicking on the E-Mail button
Summary: Kontact crash after clicking on the E-Mail button
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: libakonadi (show other bugs)
Version: 4.7
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 292782 301564 301600 301612 301715 301736 302009 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-10-01 11:31 UTC by fakos
Modified: 2017-01-07 22:50 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fakos 2011-10-01 11:31:38 UTC
Application: kontact (4.4.10)
KDE Platform Version: 4.7.1 (4.7.1)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-11-generic-tuxonice x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:
After receiving a new mail, I switched to an open Kontact window, which currently displayed the Akregator feeds. Then I clicked on the E-Mail button on the left side. Afterwards, Kontact crashed,  carrying KMail and Akregator away.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f105d6e77a0 (LWP 2818))]

Thread 2 (Thread 0x7f1044fb2700 (LWP 2821)):
#0  0x00007f105ab4df03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f10545c3104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10545c39f2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1046ed7c44 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f10545ea3e4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f1054a8ed8c in start_thread (arg=0x7f1044fb2700) at pthread_create.c:304
#6  0x00007f105ab5b04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f105d6e77a0 (LWP 2818)):
[KCrash Handler]
#6  memcpy () at ../sysdeps/x86_64/memcpy.S:117
#7  0x00007f105b205ab5 in read (this=0x20d8540, data=0x7fffeb31ef60 "", maxSize=16) at /usr/include/bits/string3.h:52
#8  QIODevice::read (this=0x20d8540, data=0x7fffeb31ef60 "", maxSize=16) at io/qiodevice.cpp:790
#9  0x00007f105b2566d2 in QUuid::createUuid () at plugin/quuid.cpp:610
#10 0x00007f10583d1451 in Private (this=0x54a9f00) at ../../kabc/contactgroup.cpp:302
#11 KABC::ContactGroup::ContactGroup (this=0x54a9f00) at ../../kabc/contactgroup.cpp:324
#12 0x00007f1056eab844 in Private (this=0x54a9990) at ../../../akonadi/contact/abstractcontactgroupformatter.cpp:30
#13 Akonadi::AbstractContactGroupFormatter::AbstractContactGroupFormatter (this=0x54a9990) at ../../../akonadi/contact/abstractcontactgroupformatter.cpp:38
#14 0x00007f1056ede319 in Akonadi::StandardContactGroupFormatter::StandardContactGroupFormatter (this=0x54a9990) at ../../../akonadi/contact/standardcontactgroupformatter.cpp:35
#15 0x00007f1056ebc850 in Private (this=0x359c410, parent=<value optimized out>) at ../../../akonadi/contact/contactgroupviewer.cpp:58
#16 Akonadi::ContactGroupViewer::ContactGroupViewer (this=0x359c410, parent=<value optimized out>) at ../../../akonadi/contact/contactgroupviewer.cpp:155
#17 0x00007f102751f80e in MainWidget::setupGui (this=0x5e50800) at ../../kaddressbook/mainwidget.cpp:290
#18 0x00007f102752262c in MainWidget::MainWidget (this=0x5e50800, guiClient=0x5567298, parent=<value optimized out>) at ../../kaddressbook/mainwidget.cpp:79
#19 0x00007f1027787b1f in KAddressBookPart::KAddressBookPart (this=0x5567270, parentWidget=<value optimized out>, parent=<value optimized out>, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../kaddressbook/kaddressbookpart.cpp:50
#20 0x00007f1027787fcf in KPluginFactory::createPartInstance<KAddressBookPart> (parentWidget=0x1016300, parent=0x1016300, args=...) at /usr/include/kpluginfactory.h:479
#21 0x00007f105b7b64c9 in KPluginFactory::create (this=0x32f93e0, iface=0x7f105a864c00 "KParts::ReadOnlyPart", parentWidget=0x1016300, parent=0x1016300, args=..., keyword=<value optimized out>) at ../../kdecore/util/kpluginfactory.cpp:203
#22 0x00007f105cd72a10 in create<KParts::ReadOnlyPart> (this=0x1016300, libname=0x1ec8a48 "kaddressbookpart") at /usr/include/kpluginfactory.h:507
#23 KontactInterface::Core::createPart (this=0x1016300, libname=0x1ec8a48 "kaddressbookpart") at ../../kontactinterface/core.cpp:87
#24 0x00007f10367646bb in KAddressBookPlugin::createPart (this=<value optimized out>) at ../../../../kontact/plugins/kaddressbook/kaddressbook_plugin.cpp:127
#25 0x00007f105cd75099 in KontactInterface::Plugin::part (this=0x1c9c880) at ../../kontactinterface/plugin.cpp:191
#26 0x00007f105d3214a0 in Kontact::MainWindow::selectPlugin (this=0x1016300, plugin=0x1c9c880) at ../../../kontact/src/mainwindow.cpp:778
#27 0x00007f105d32115a in Kontact::MainWindow::qt_metacall (this=0x1016300, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffeb31fb40) at ./mainwindow.moc:113
#28 0x00007f105b27f5f8 in QMetaObject::activate (sender=0xc60120, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffeb31fb40) at kernel/qobject.cpp:3287
#29 0x00007f105d3241bf in Kontact::SidePaneBase::pluginSelected (this=<value optimized out>, _t1=0x1c9c880) at ./sidepanebase.moc:90
#30 0x00007f105d324210 in Kontact::SidePaneBase::qt_metacall (this=0xc60120, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffeb31fc80) at ./sidepanebase.moc:77
#31 0x00007f105d3242b8 in Kontact::IconSidePane::qt_metacall (this=0xc60120, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value optimized out>) at ./iconsidepane.moc:145
#32 0x00007f105b27f5f8 in QMetaObject::activate (sender=0xfad1b0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffeb31fc80) at kernel/qobject.cpp:3287
#33 0x00007f105d324b9f in Kontact::Navigator::pluginActivated (this=<value optimized out>, _t1=0x1c9c880) at ./iconsidepane.moc:96
#34 0x00007f105d324c30 in Kontact::Navigator::slotCurrentChanged (this=0xfad1b0, current=...) at ../../../kontact/src/iconsidepane.cpp:475
#35 0x00007f105d324ce1 in Kontact::Navigator::qt_metacall (this=0xfad1b0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffeb31fdd0) at ./iconsidepane.moc:82
#36 0x00007f105b27f5f8 in QMetaObject::activate (sender=0xc5b890, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffeb31fdd0) at kernel/qobject.cpp:3287
#37 0x00007f105c18fb2a in QItemSelectionModel::currentChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qitemselectionmodel.cpp:159
#38 0x00007f105c18fc20 in QItemSelectionModel::setCurrentIndex (this=0xc5b890, index=..., command=<value optimized out>) at itemviews/qitemselectionmodel.cpp:1169
#39 0x00007f105c13df5c in QAbstractItemView::mousePressEvent (this=0xfad1b0, event=<value optimized out>) at itemviews/qabstractitemview.cpp:1666
#40 0x00007f105bc77fb1 in QWidget::event (this=0xfad1b0, event=0x7fffeb320cf0) at kernel/qwidget.cpp:8255
#41 0x00007f105c02a156 in QFrame::event (this=0xfad1b0, e=0x7fffeb320cf0) at widgets/qframe.cpp:557
#42 0x00007f105c13b46b in QAbstractItemView::viewportEvent (this=0xfad1b0, event=0x7fffeb320cf0) at itemviews/qabstractitemview.cpp:1628
#43 0x00007f105b26a627 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x102d9a0, event=0x7fffeb320cf0) at kernel/qcoreapplication.cpp:846
#44 0x00007f105bc269c1 in QApplicationPrivate::notify_helper (this=0xc59630, receiver=0x102d9a0, e=0x7fffeb320cf0) at kernel/qapplication.cpp:4458
#45 0x00007f105bc2bdc3 in QApplication::notify (this=<value optimized out>, receiver=0x102d9a0, e=0x7fffeb320cf0) at kernel/qapplication.cpp:4023
#46 0x00007f105c936b86 in KApplication::notify (this=0x7fffeb3219b0, receiver=0x102d9a0, event=0x7fffeb320cf0) at ../../kdeui/kernel/kapplication.cpp:311
#47 0x00007f105b26a49c in QCoreApplication::notifyInternal (this=0x7fffeb3219b0, receiver=0x102d9a0, event=0x7fffeb320cf0) at kernel/qcoreapplication.cpp:731
#48 0x00007f105bc27a1d in sendEvent (receiver=0x102d9a0, event=0x7fffeb320cf0, alienWidget=0x102d9a0, nativeWidget=0xc60120, buttonDown=0x7f105c70a218, lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#49 QApplicationPrivate::sendMouseEvent (receiver=0x102d9a0, event=0x7fffeb320cf0, alienWidget=0x102d9a0, nativeWidget=0xc60120, buttonDown=0x7f105c70a218, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3122
#50 0x00007f105bca9190 in QETWidget::translateMouseEvent (this=0xc60120, event=<value optimized out>) at kernel/qapplication_x11.cpp:4558
#51 0x00007f105bca7ab7 in QApplication::x11ProcessEvent (this=0x7fffeb3219b0, event=0x7fffeb321640) at kernel/qapplication_x11.cpp:3680
#52 0x00007f105bcd0842 in x11EventSourceDispatch (s=0xc4e190, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#53 0x00007f10545c2bcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#54 0x00007f10545c33a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#55 0x00007f10545c3639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#56 0x00007f105b2953ef in QEventDispatcherGlib::processEvents (this=0xbf2370, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#57 0x00007f105bcd04de in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#58 0x00007f105b269882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#59 0x00007f105b269abc in QEventLoop::exec (this=0x7fffeb321940, flags=...) at kernel/qeventloop.cpp:201
#60 0x00007f105b26decb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#61 0x0000000000403f70 in main (argc=1, argv=<value optimized out>) at ../../../kontact/src/main.cpp:226

Possible duplicates by query: bug 279909, bug 279101, bug 277501.

Reported using DrKonqi
Comment 1 Jekyll Wu 2012-07-03 13:36:58 UTC
*** Bug 301564 has been marked as a duplicate of this bug. ***
Comment 2 Jekyll Wu 2012-07-03 13:37:25 UTC
*** Bug 301736 has been marked as a duplicate of this bug. ***
Comment 3 Jekyll Wu 2012-07-03 13:37:34 UTC
*** Bug 302009 has been marked as a duplicate of this bug. ***
Comment 4 Jekyll Wu 2012-07-03 13:40:20 UTC
*** Bug 301715 has been marked as a duplicate of this bug. ***
Comment 5 Jekyll Wu 2012-07-03 13:40:31 UTC
*** Bug 301600 has been marked as a duplicate of this bug. ***
Comment 6 Jekyll Wu 2012-07-03 13:40:43 UTC
*** Bug 301612 has been marked as a duplicate of this bug. ***
Comment 7 Daniel Vrátil 2013-03-02 21:19:14 UTC
*** Bug 292782 has been marked as a duplicate of this bug. ***
Comment 8 Denis Kurz 2016-09-24 20:44:37 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 9 Denis Kurz 2017-01-07 22:50:01 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.